2012年2月 3日

[ruby-list:48613] Re: #!/usr/bin/env ruby での質問

さとうふみやす @ OSSTech です。

At Fri, 3 Feb 2012 11:59:45 +0900,
稲葉伸之 wrote:
> sudo apt-get install ruby1.9.1-full
> と実行しました。
> 現在、1.8と1.9が混在している状況です。
> で、プログラムの先頭には、


> #!/usr/bin/env ruby
>
> で1.9を実行するにはどうしたらよろしいでしょうか?

Debian / Ubuntu、かつ alternatives に対応している Ruby
パッケージなら以下で設定してください。

$ sudo update-alternatives --config ruby

環境変数 PATH を変更できるような状況であれば、適当な
ところにシンボリックリンクを張って PATH を書き換え。

$ mkdir -p "$HOME/bin"
$ ln -s /usr/bin/ruby1.9.1 "$HOME/bin/ruby"
$ PATH="$HOME/bin:$PATH"
$ export PATH

--
-- Name: SATOH Fumiyasu (fumiyas @ osstech co jp)
-- Business Home: http://www.OSSTech.co.jp/
-- Personal Home: http://www.SFO.jp/blog/


投稿者 xml-rpc : 2012年2月 3日 12:10
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/108494
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。